import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotSampling/` + url, ...arg)

/**
 * 质价确认Api接口管理器
 *
 * @author xiang
 * @date  2023/09/13 16:37
 **/
export default {
	// 获取质价确认分页
	depotSamplingPage(data) {
		return request('page', data, 'get')
	},
	// 获取质价确认列表
	depotSamplingList(data) {
		return request('list', data, 'get')
	},
	// 提交质价确认表单 edit为true时为编辑，默认为新增
	depotSamplingSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 扦样
	addSampling(data) {
		return request('addSampling', data)
	},
	// 一级审批通过
	depotOpApproval(data) {
		return request('depotOpApproval', data)
	},
	// 二级审批通过
	bankOpApproval(data) {
		return request('bankOpApproval', data)
	},
	// 删除质价确认
	depotSamplingDelete(data) {
		return request('delete', data)
	},
	// 获取质价确认详情
	depotSamplingDetail(data) {
		return request('detail', data, 'get')
	}
}
